package com.app.duck.adapter;

import com.app.duck.R;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;

import org.jetbrains.annotations.NotNull;

import java.util.HashMap;

public class PhoneListAdapter2 extends BaseQuickAdapter<HashMap<String, String>, BaseViewHolder> {


    public PhoneListAdapter2() {
        super(R.layout.layout_phone_item2);
    }


    @Override
    protected void convert(@NotNull BaseViewHolder baseViewHolder, HashMap<String, String> map) {
        int position = getItemPosition(map);
        //text2 subid
        //text1 slot
        //text3 number
//"ID:" + map.get("SubId") + " "+
        baseViewHolder.setText(R.id.text2, map.get("disname"));
        baseViewHolder.setText(R.id.text1, "SIM-" + map.get("SimSlot"));
        baseViewHolder.setText(R.id.text3, map.get("Number"));


    }


}
